1. Image generation
PixVerse Platform Docs
  • C1 released!
  • V6 released!
  • Learn about PixVerse Platform
    • Introduce to PixVerse Platform
    • Quick Start
    • PixVerse-api-llm.txt
  • Getting started
    • How does the API work?
    • How to get API key?
    • How to check account balance?
    • How to subscribe API plans?
    • How to use Text-to-video
    • How to use Image-to-video
    • How to use Effects?
    • How to use Image template?
    • How to use Transition(First-last frame Feature)
    • How to use Speech(Lip sync)?
    • Lip sync TTS speaker list
    • How to use Extend?
    • How to use Sound effects?
    • How to use Fusion(Reference to video)?
    • How to use Restyle?
    • How to use Multi-transition?
    • How to use Swap?
    • How to use Mimic?
    • How to use Modify?
    • How to get video generation status?
    • How to use Webhook
  • API Reference
    • API Parameter Description
    • Video Generation
      • Text-to-Video generation
      • Image-to-Video generation
      • Template video generation
      • Transition(First-last frame) generation
      • Speech(Lipsync) generation
      • Get Speech(Lipsync) tts list
      • Fusion(reference to video) generation
      • Multi-transition video generation
      • Restyle video generation
      • Restyle effect list
      • Swap mask generation
      • Swap video generation
      • Sound effect generation
      • Extend generation
      • Get Video Generation Status
      • Mimic generation
      • Modify generation
    • Image generation
      • Image template generation
        POST
      • Get Image generation
        GET
    • Upload Image
      POST
    • Upload Video&audio
      POST
    • Get user credit balance
      GET
  • Trouble Shooting
    • Common errors and Solutions
    • Error codes
    • FAQ
  • Resources
    • Model & Pricing
    • Rate limit
    • Support
    • Change Logs
    • Term of Service
    • Privacy policy
  • PixVerse Tools
    • PixVerse MCP
  1. Image generation

Get Image generation

GET
/openapi/v2/image/result/{image_id}

Request

Path Params

Header Params

Responses

🟢200Success
application/json
Body

Request Request Example
Shell
curl --location --request GET 'https://app-api.pixverse.ai/openapi/v2/image/result/' \
--header 'Ai-trace-Id: your-ai-trace-id' \
--header 'API-KEY: your-api-key'
Response Response Example
{
    "ErrCode": 0,
    "ErrMsg": "Success",
    "Resp": {
        "image_id": 0,
        "prompt": "",
        "url": "https://media.pixverse.ai/xxx.jpg",
        "seed": 1317175257,
        "status": 1,
        "prompt_translate": "",
        "template_id": 0,
        "create_time": "2026-02-04T03:55:13Z",
        "modify_time": "2026-02-04T03:55:13Z",
        "outputWidth": 0,
        "outputHeight": 0,
        "credits": 30,
        "customer_paths": {
            "ext_info": null,
            "agent_info": null,
            "cameo_id_list": null,
            "duration_type": "",
            "fusion_id_list": null,
            "model_evaluator": "",
            "customer_img_paths": [
                "xxx.jpg"
            ],
            "gen_img_req_img_ids": [
                0
            ]
        }
    }
}
Previous
Image template generation
Next
Upload Image